//! RST Node game server

// Remove the warning spam
#![allow(warnings)]

#[macro_use]
extern crate tracing;

pub(crate) mod loader;
pub(crate) mod constants;
pub(crate) mod log;

use rst_core::net::Endpoint;

#[async_std::main]
async fn main() {
    log::initialise();

    let addr = format!("{}:{}", constants::DEFAULT_BIND, constants::DEFAULT_PORT);
    let serv = Endpoint::new(addr.as_str()).await;
    // serv.listen().await;
    // net::run().await;
}
